### Method

# GLib VariantType equal

#### Declaration [src]

    gboolean
    g_variant_type_equal (
      gconstpointer type1,
      gconstpointer type2
    )

#### Description [src]

Compares `type1` and `type2` for equality.

Only returns true if the types are exactly equal. Even if one type is an indefinite type and the other is a subtype of it, false will be returned if they are not exactly equal. If you want to check for subtypes, use `g_variant_type_is_subtype_of()`.

The argument types of `type1` and `type2` are only `gconstpointer` to allow use with `GHashTable` without function pointer casting. For both arguments, a valid `GVariantType` must be provided.

#### Parameters

`type2`

  Type: `GVariantType`

  Another type to compare.

#### Return value

Type: `gboolean`

True if `type1` and `type2` are exactly equal Since 2.24.